pro myfft, xx, yy, ff, aa

;;; input are the independent variables xx and measured quantities yy
;;;  e.g.  time (in seconds) and differential magnitudes
;;;
;;; output are the frequency range ff and amplitude aa
;;; plot, ff, pp


dx = xx(1) - xx(0)   ;sampling time
n=n_elements(xx)   ; length of series
capitalT = dx * n ;total length of series
df = 1./capitalT  ; frequency resolution

ff = findgen(n/2)*df ; create the frequency array (but just positive freq.)
aa = (abs(fft(yy)))  ; call the FFT IDL function
aa=aa(0:n/2-1);       ; cut the fourier coefficient array in 2 (positive freq.)

end


