function udangdiam, a0, base, lam

;;;  This function returns the squared visibility (ies) corresponding to
;;;  uniform angular diameter (a0) given in milliarcsec,  the baseline (base)
;;;  given in metres and the wavelength of the observations (lam) also
;;;  given in metres
;;;  
;;;  a0 = uniform disk angular diameter, this is a constant
;;;  base and lam have length n>1 and they need to be the same length.
;;;
;;;
;;;  It should be called as
;;; IDL>   vis2 = udangdiam(a0,base,lam)

;some constants
const = 2.
pii = !dpi
conversion = 206264798.0839162d0

;; this is the x variable in the besel function:
xvar = pii * base * a0(0)/conversion/lam
fterm = beselj(xvar,1)/xvar
y = const * (fterm)

return, y^2
end
